from django import template
from django.core.urlresolvers import reverse
from .. import settings

register = template.Library()

def is_render(context):
    user = context['request'].user
    return not user.is_anonymous()


@register.inclusion_tag('idle/box.html', takes_context=True)
def idle_box(context):
    data = context
    data.update({
        'IDLE_RENDER' : is_render(context), 
        'IDLE_AFTER' : settings.IDLE_AFTER,
        'IDLE_POLL_INTERVAL': settings.IDLE_POLL_INTERVAL,
        'IDLE_WARNING' : settings.IDLE_WARNING,
    })
    return data


@register.inclusion_tag('idle/head.html', takes_context=True)
def idle_head(context):
    data = context
    data.update({
        'IDLE_RENDER' : is_render(context), 
    })
    return data

